Announcement

Collapse
No announcement yet.

UE4.25.0 Could not initialize class org.codehaus.groovy.reflection.ReflectionCache

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    UE4.25.0 Could not initialize class org.codehaus.groovy.reflection.ReflectionCache

    Can help? Nothing suggested here helps https://answers.unrealengine.com/que...il-ue-418.html

    FAILURE: Build failed with an exception.
    UATHelper: Packaging (Android (ASTC)): * What went wrong:
    UATHelper: Packaging (Android (ASTC)): Could not initialize class org.codehaus.groovy.reflection.ReflectionCache
    UATHelper: Packaging (Android (ASTC)): * Try:
    UATHelper: Packaging (Android (ASTC)): Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
    UATHelper: Packaging (Android (ASTC)): * Get more help at https://help.gradle.org
    UATHelper: Packaging (Android (ASTC)): BUILD FAILED in 2s
    UATHelper: Packaging (Android (ASTC)): ERROR: cmd.exe failed with args /c "G:\UE\Falcoware\Check_Reaction\Check_Reaction\Intermediate\Android\armv7\gradle\rungradle.bat" :app:assembleRelease
    UATHelper: Packaging (Android (ASTC)): (see C:\Users\User\AppData\Roaming\Unreal Engine\AutomationTool\Logs\F+EpicGames+UE_4.25\Log.txt for full exception trace)
    PackagingResults: Error: cmd.exe failed with args /c "G:\UE\Falcoware\Check_Reaction\Check_Reaction\Intermediate\Android\armv7\gradle\rungradle.bat" :app:assembleRelease

    #2
    Try to update to 4.25.1.
    I had this error too and is something about UE4.25 using Gradle5.4 that depends on JDK8, if you install (or rollback to) JDK8 it will fix this error but will cause other problems.

    Comment

    Working...
    X